.answer_option_entry:has(:checked) {
  border: 2px #2EAC8F solid;
}
.answer_option_entry {
  background-color: white;
  padding: 1em;
  border-radius: 3px;
  margin-bottom: .8em;
  font-size: 1.2em;
  display: block;
  border: 2px solid white;
}

.quiz_wrapper button,
.btn_next_question {
  width: 100%;
  background-color: #2EAC8F;
  border: unset;
  padding: 1em;
  border-radius: 3px;
  margin-bottom: .8em;
  font-size: 1.2em;
  display: block;
  color: white;
  text-align: center;
}

.btn_next_question a {
  color:white
}

.quiz_wrapper.question_done button#check_answer {
  pointer-events: none;
  background-color: gray;
}

.quiz_wrapper:not(.question_done) .btn_next_question {
  display: none;
}

.answer_option_entry.wrongAnswer {
  background-color: #ffb4b4;
  border-color: #ffb4b4;
}

.answer_option_entry.correctAnswer {
  background-color: #e7ffce;
  border-color: #e7ffce;
}

.question_done label, .question_done input {
  pointer-events: none;
}